ExecFileLoader (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.core.data
Class ExecFileLoader

    java.lang.Object
      org.jacoco.core.data.ExecFileLoader

    public class ExecFileLoader

extends Object

Convenience utility for loading *.exec files into a `ExecutionDataStore` and a `SessionInfoStore`.

Constructor Summary
`ExecFileLoader()` New instance to combine session infos and execution data from multiple files.

Method Summary
`ExecutionDataStore` | `getExecutionDataStore()` Returns the execution data store with data for all loaded classes.
`SessionInfoStore` | `getSessionInfoStore()` Returns the session info store with all loaded sessions.
`void` | `load(File file)` Reads all data from given input stream.
`void` | `load(InputStream stream)` Reads all data from given input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecFileLoader

    public ExecFileLoader()

  New instance to combine session infos and execution data from multiple files.

Method Detail

### load

    public void load(InputStream stream)
              throws IOException

  Reads all data from given input stream.

  Parameters:
    `stream` - Stream to read data from
  Throws:
    `IOException` - in case of problems while reading from the stream

### load

    public void load(File file)
              throws IOException

  Reads all data from given input stream.

  Parameters:
    `file` - file to read data from
  Throws:
    `IOException` - in case of problems while reading from the stream

### getSessionInfoStore

    public SessionInfoStore getSessionInfoStore()

  Returns the session info store with all loaded sessions.

  Returns:
    session info store

### getExecutionDataStore

    public ExecutionDataStore getExecutionDataStore()

  Returns the execution data store with data for all loaded classes.

  Returns:
    execution data store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.